<table class="table  table-striped table-hover">
  {{ $data := dict }}
  {{ $path := "finanzen/konto.csv" }}
  {{ $seperator := ";" }}
  {{ with resources.Get $path }}
    {{ with . | transform.Unmarshal (dict "delimiter" ";") }}
      {{ $data = . }}
    {{ end }}
  {{ end }}
  {{ range $i, $r := $data }}
    {{ if eq $i 0 }}
      <thead>
        <tr>
          <th style="text-align:left">{{ index $r 2 }}</th>
          <th style="text-align:right">{{ index $r 1 }}</th>
          <th style="text-align:right">{{ index $r 0 }}</th>
        </tr>
      </thead>
    <tbody>
    {{ end }}
    {{ if ne $i 0 }}
      {{ $amountstring := (index $r 1) }}
      {{ $amountstringnew := replace $amountstring "," "." }}
      {{ $amount := float $amountstringnew }}
      {{ if le $amount 0 }}
        <tr>
          <td style="text-align:left">{{ index $r 2 }}</td>
          <td style="text-align:right">
            {{ index $r 1 }}&#8239;€
          </td>
          <td style="text-align:right">
            {{ $rawDate := split (index $r 0) "." }}
            {{ $date := printf "%s-%s-%s" (index $rawDate 2) (index $rawDate 1) (index $rawDate 0) }}
            {{ time.Format "2006-01-02" $date }}
          </td>
        </tr>
      {{ end }}
    {{ end }}
  {{ end }}
  </tbody>
</table>
